### Function

# Dex tls_connection_handshake

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_tls_connection_handshake (
      GTlsConnection* tls_connection,
      int io_priority
    )

#### Description

No description available.

Available since: 1.2

#### Parameters

`tls_connection`

  Type: `GTlsConnection`

  A `GTlsConnection`.

  The data is owned by the caller of the function.

`io_priority`

  Type: `int`

  The IO priority of the request.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to true or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.